Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418467 - NEEDINFO on rhel-x86_64-server-sjis-6.*.aus-debuginfo channel mappings to product certs
Summary: NEEDINFO on rhel-x86_64-server-sjis-6.*.aus-debuginfo channel mappings to pro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 22:21 UTC by John Sefler
Modified: 2020-05-15 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 12:06:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2017-02-01 22:21:14 UTC
Description of problem:

The following rhn channel maps to product certs don't feel right.  NEEDINFO to resolve...

[root@jsefler-rhel6 ~]# egrep rhel-x86_64-server-sjis-6\..\.aus /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-sjis-6.2.aus-debuginfo: Server-SJIS-x86_64-72c0b8e0d42a-126.pem
rhel-x86_64-server-sjis-6.4.aus-debuginfo: Server-SJIS-x86_64-7c81e11631b2-126.pem
rhel-x86_64-server-sjis-6.5.aus-debuginfo: Server-SJIS-x86_64-e38b3e8d82c8-126.pem
[root@jsefler-rhel6 ~]# 


Reason 1: This does not feel right because these aus-debuginfo channel to product cert maps do not have corresponding non-debuginfo channels mapped in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json   If there is a mapping for rhel-x86_64-server-sjis-6.2.aus-debuginfo then I would expect there to be a mapping for channel rhel-x86_64-server-sjis-6.2.aus.


Reason 2: The product certs that these aus-debuginfo channels map to are not AUS product certs...
Pasted from http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json...

    "rhel-x86_64-server-sjis-6.2.aus-debuginfo": {
        "Product Cert CN": "Red Hat Product ID [0f0e11cf-b18b-4c7e-a0ee-72c0b8e0d42a]",
        "Product Cert file": "/rhel-6.2/Server-SJIS-x86_64-72c0b8e0d42a-126.pem",  <=== IS NOT AUS
        "Product ID": "126"
    },

    "rhel-x86_64-server-sjis-6.4.aus-debuginfo": {
        "Product Cert CN": "Red Hat Product ID [13109a42-6d21-4da0-b9ef-7c81e11631b2]",
        "Product Cert file": "/rhel-6.4/Server-SJIS-x86_64-7c81e11631b2-126.pem",  <=== IS NOT AUS
        "Product ID": "126"
    },

    "rhel-x86_64-server-sjis-6.5.aus-debuginfo": {
        "Product Cert CN": "Red Hat Product ID [0318ff66-5f36-42cc-989d-e38b3e8d82c8]",
        "Product Cert file": "/rhel-6.5/Server-SJIS-x86_64-e38b3e8d82c8-126.pem",  <=== IS NOT AUS
        "Product ID": "126"
    },

Those "Product Cert file"s above are not AUS products...


Reason 3:
The product certs that these aus-debuginfo channels are mapped to are NOT AUS products
[root@jsefler-rhel6 rhnDefinitionsDir]# rct cat-cert product_ids/rhel-6.2/Server-SJIS-x86_64-72c0b8e0d42a-126.pem | tail -9
Product:
	ID: 126
	Name: Red Hat S-JIS Support (for RHEL Server)
	Version: 6.2
	Arch: x86_64
	Tags: rhel-6-server-sjis,rhel-6-sjis  <===== DOES NOT HAVE AN -aus- TAG
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel6 rhnDefinitionsDir]# rct cat-cert product_ids/rhel-6.4/Server-SJIS-x86_64-7c81e11631b2-126.pem | tail -9
Product:
	ID: 126
	Name: Red Hat S-JIS Support (for RHEL Server)
	Version: 6.4
	Arch: x86_64
	Tags: rhel-6-server-sjis,rhel-6-sjis  <===== DOES NOT HAVE AN -aus- TAG
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel6 rhnDefinitionsDir]# rct cat-cert product_ids/rhel-6.5/Server-SJIS-x86_64-e38b3e8d82c8-126.pem | tail -9
Product:
	ID: 126
	Name: Red Hat S-JIS Support (for RHEL Server)
	Version: 6.5
	Arch: x86_64
	Tags: rhel-6-server-sjis,rhel-6-sjis  <===== DOES NOT HAVE AN -aus- TAG
	Brand Type: 
	Brand Name: 


Reason 4: I cannot find any AUS-Server-SJIS-x86_64-<HASH>-<PRODUCTID>.pem certificates in...
http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-6.2
http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-6.4
http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-6.5


Version-Release number of selected component (if applicable):
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch

Comment 2 Jan Kurik 2017-12-06 12:06:21 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.